Subject: Re: [MMUSIC] Working group last call: draft-ietf-mmusic-sdp-media-label-00.txt

From: Gonzalo Camarillo <[email-masked]>
Date: Tue, 18 Jan 2005 14:41:22 +0200

Colin,

a new revision of the draft that addresses the comments received during 
its WGLC is already in the archives:

http://www.ietf.org/internet-drafts/draft-ietf-mmusic-sdp-media-label-01.txt

Feel free to request its publication as an RFC whenever you wish.

Thanks,

Gonzalo

Colin Perkins wrote:

> This last call ends today. It looks like there are minor issues to be 
> resolved in an updated draft. Once the revised draft is available, we'll 
> allow a short time to check that all comments have been addressed, then 
> advance the draft.
> 
> Colin
> 
> 
> 
> On 15 Dec 2004, at 12:59, Magnus Westerlund wrote:
> 
>> Hi Gonzalo,
>>
>> The proposed changes looks fine. See below about point 3.
>>
>> Gonzalo Camarillo (JO/LMF) wrote:
>>
>>>  > 3. Section 5. I am a bit worried about the offer/answer section. 
>>> It is
>>>  > very unclear on the handling of this attribute. Can we really trust
>>>  > applications to define such behavior? From my work with 
>>> Offer/Answer I
>>>  > sometimes find it difficult to get the right behavior out of SDP in
>>>  > offer/answer usage. If this behavior is left to the application then
>>>  > there is need for a much more explicit section that explains the
>>>  > different choices. Also I think using application defined behavior 
>>> will
>>>  > result in quite divergent behavior.
>>> If this was an attribute that had any influence in the offer/answer
>>> behabior I would agree with you. But this attribute, from the
>>> offer/answer point of view, is just informational. That's why offerers
>>> and answerers can use it as the wish. It does not have any influence in
>>> the session being established.
>>> The behavior we expect applications to define would be something like,
>>> "use the same label in the media line as in the XML document you are
>>> using to describe your conference". Note that this attribute is always
>>> for the remote's UA information, so, the values that this attribute
>>> takes in an answer is completely independent from the value it takes in
>>> the offer.
>>
>>
>> Okay, I do understand. I think it is okay with the current text.
>>
>>
>> Cheers
>>
>> Magnus Westerlund
>>
>> Multimedia Technologies, Ericsson Research EAB/TVA/A
>> ----------------------------------------------------------------------
>> Ericsson AB                | Phone +46 8 4048287
>> Torshamsgatan 23           | Fax   +46 8 7575550
>> S-164 80 Stockholm, Sweden | mailto: [email-masked]
>>
>> _______________________________________________
>> mmusic mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/mmusic
>>
> 

-- 
Gonzalo Camarillo         Phone :  +358  9 299 33 71
Oy L M Ericsson Ab        Mobile:  +358 40 702 35 35
Telecom R&D               Fax   :  +358  9 299 30 52
FIN-02420 Jorvas          Email :  [email-masked]
Finland                   http://www.hut.fi/~gonzalo

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic